import json
import logging
import urllib3
import clients as app_clients
from botocore.exceptions import ClientError

urllib3.disable_warnings()
logger = logging.getLogger("localdev_add_test_user_grant")
logger.setLevel(logging.INFO)
formatter = logging.Formatter("%(asctime)s %(levelname)s - %(message)s")
handler_console = logging.StreamHandler()
handler_console.setFormatter(formatter)
logger.addHandler(handler_console)

def main():
    env = 'localdev'
    dynamo_client = app_clients.DynamoDbClient(env)
    dynamo_client.setClientEnvironment()

    with open('local/service-connector-grant-template.json', 'r') as grants_file:
        grants_template = json.load(grants_file)
        grants_template['principal']['S'] = grants_template['principal']['S'].format(
            principal="psc:user:R76KWHRN:1"
        )
        grants_template['roles']['SS'][0] = grants_template['roles']['SS'][0].format(
            role="psc:role::R_AND_D_ROLE_MANAGER"
        )
        try:
            logger.info(grants_template)
            dynamo_client.put_item("localdev_access_grants", grants_template)
        except ClientError as ex:
            logger.error("Put item failed for localdev test user: {}".format(ex))
    logger.info("Added R&D Role Manager grant for test user")


if __name__ == "__main__":
    main()
