import os
import psycopg2

def main():
    print("Starting script for adding secops_role_manager service connector to PG")
    db_name = "localdev"
    user = "localdev"
    endpoint = "postgres"
    password = "localdev"
    db_conn = psycopg2.connect(dbname=db_name, user=user, host=endpoint, password=password)

    insert_statement = """INSERT INTO connector_identity (connector_id, org_id, identity_key, identity_key_type,
        session_id, name, description, changed_by, create_time, last_updated_time, connector_type, authorized_ip_addresses)
        VALUES('ABCDEF1234', '1', 'PZSGFNGMISYDXXXXXXXXX', 'API_KEY', '', 'localdev_secops_role_manager',
        'service connector for localdev', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'CUSTOM', '')"""

    cursor = db_conn.cursor()
    try:
        cursor.execute(insert_statement)
        db_conn.commit()
        print("Created service connector for secops_role_manager successfully")
    except psycopg2.IntegrityError:
        print("Record already exists.")
        cursor.execute("ROLLBACK")

    cursor.close()


if __name__ == "__main__":
    main()
